Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.csiv2
Class _SASCurrentLocalBase

    java.lang.Object
      org.omg.CORBA.LocalObject
          org.jboss.iiop.csiv2._SASCurrentLocalBase

All Implemented Interfaces:
  Current, CurrentOperations, IDLEntity, LocalInterface, Object, SASCurrent, SASCurrentOperations, Serializable

Direct Known Subclasses:
  SASCurrentLocalTie

public abstract class _SASCurrentLocalBase
extends LocalObject
implements SASCurrent

Abstract base class for implementations of local interface SASCurrent

Author:
  JacORB IDL compiler.
See Also:
  Serialized Form

Constructor Summary
`_SASCurrentLocalBase()`

Method Summary
`String[]` | `_ids()`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.iiop.csiv2.SASCurrentOperations
`client_authentication_info_received, context_received, get_incoming_identity_token_type, get_incoming_identity, get_incoming_password, get_incoming_principal_name, get_incoming_target_name, get_incoming_username, reject_incoming_context`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _SASCurrentLocalBase

    public _SASCurrentLocalBase()

Method Detail

### _ids

    public String[] _ids()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.